Subject: Internet Society Board of Trustees Appointment

From: IAB Executive Administrative Manager <[email-masked]>
Date: Thu, 23 Apr 2020 07:01:48 -0700

The IAB is pleased to announce the appointment of Laura Thomson to the 
Internet Society Board of Trustees. She will sit as trustee for three 
years, commencing with the 2020 Annual General Meeting of the Internet 
Society, 1-2 August 2020.

The IAB would like to thank Sean Turner for his service is in this role; 
Sean has served on the Board of Trustees since 2014 and will be stepping 
down at the Annual General Meeting in 2020.

The IAB also thanks all those who volunteered to serve, and Laura for 
taking on the task.